/**
 * output package name
 */
package com.kingdee.eas.custom.performancenew.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class periodStatusEnum extends StringEnum
{
    public static final String PERIODLOCK_VALUE = "1";//alias=周期锁定
    public static final String PERIODRELIEVE_VALUE = "2";//alias=周期解除

    public static final periodStatusEnum periodLock = new periodStatusEnum("periodLock", PERIODLOCK_VALUE);
    public static final periodStatusEnum periodRelieve = new periodStatusEnum("periodRelieve", PERIODRELIEVE_VALUE);

    /**
     * construct function
     * @param String periodStatusEnum
     */
    private periodStatusEnum(String name, String periodStatusEnum)
    {
        super(name, periodStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static periodStatusEnum getEnum(String periodStatusEnum)
    {
        return (periodStatusEnum)getEnum(periodStatusEnum.class, periodStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(periodStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(periodStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(periodStatusEnum.class);
    }
}